# Class RowRunnerParameter

java.lang.Object
uk.ac.starlink.task.Parameter<uk.ac.starlink.table.RowRunner>
uk.ac.starlink.task.AbstractChoiceParameter<uk.ac.starlink.table.RowRunner, uk.ac.starlink.table.RowRunner>
uk.ac.starlink.task.ChoiceParameter<uk.ac.starlink.table.RowRunner>
uk.ac.starlink.ttools.task.RowRunnerParameter

public class RowRunnerParameter extends uk.ac.starlink.task.ChoiceParameter<uk.ac.starlink.table.RowRunner>
Parameter for acquiring a RowRunner.

The details of documentation differ according to what the runner is to be used for, so factory methods are provided instead of a public constructor.

Since:
  3 Oct 2022
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final uk.ac.starlink.table.RowRunner`
`DFLT_MATCH_RUNNER`
Default runner instance for cross-matching purposes.

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Method Summary

Modifier and Type
Method
Description
`static RowRunnerParameter`
`createMatchRunnerParameter(String name)`
Creates a runner parameter suitable for use with crossmatching tasks.
`static RowRunnerParameter`
`createScanRunnerParameter(String name)`
Creates a runner parameter suitable for use when scanning large tables.
`uk.ac.starlink.table.RowRunner`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`

### Methods inherited from class uk.ac.starlink.task.ChoiceParameter

`getUsage, objectToString, setDefaultOption, setUsage`

### Methods inherited from class uk.ac.starlink.task.AbstractChoiceParameter

`addOption, addOption, choiceToString, clearOptions, getName, getOption, getOptionNames, getOptions, getOptionValueList, stringifyOption, stringToChoice`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DFLT_MATCH_RUNNER

public static final uk.ac.starlink.table.RowRunner DFLT_MATCH_RUNNER
Default runner instance for cross-matching purposes.

## Method Details

### stringToObject

public uk.ac.starlink.table.RowRunner stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException

Overrides:
  `stringToObject` in class `uk.ac.starlink.task.ChoiceParameter<uk.ac.starlink.table.RowRunner>`
Throws:
  `uk.ac.starlink.task.TaskException`

### createScanRunnerParameter

public static RowRunnerParameter createScanRunnerParameter(String name)
Creates a runner parameter suitable for use when scanning large tables.

Parameters:
  `name` - parameter name
Returns:
  new parameter

### createMatchRunnerParameter

public static RowRunnerParameter createMatchRunnerParameter(String name)
Creates a runner parameter suitable for use with crossmatching tasks. The parameter value may be null, which corresponds to legacy (non-threaded) operation.

Parameters:
  `name` - parameter name
Returns:
  new parameter